Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGbkCodec Class Reference

The QGbkCodec class provides conversion to and from the Chinese GBK encoding. More...

    #include <QGbkCodec>

Inherits QTextCodec.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QGbkCodec ()
- virtual QList<QByteArray> aliases () const
- virtual QByteArray convertFromUnicode ( const QChar * , int , ConverterState * ) const
- virtual QString convertToUnicode ( const char * , int , ConverterState * ) const
- virtual int mibEnum () const
- virtual QByteArray name () const

- 12 public functions inherited from QTextCodec

### Static Public Members

- QList<QByteArray> _aliases ()
- int _mibEnum ()
- QByteArray _name ()

- 11 static public members inherited from QTextCodec

### Protected Functions

- 2 protected functions inherited from QTextCodec

## Detailed Description

The QGbkCodec class provides conversion to and from the Chinese GBK encoding.

GBK, formally the Chinese Internal Code Specification, is a commonly used extension of GB 2312-80. Microsoft Windows uses it under the name code page 936.

The GBK encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GBK. For this reason the QGbkCodec class is implemented in terms of the GB18030 codec and uses its 1-byte and 2-byte portion for conversion from and to Unicode.

The QGbkCodec is kept mainly for compatibility reasons with older software.

## Member Function Documentation

### QGbkCodec::QGbkCodec ()

Constructs a QGbkCodec object.

### QList<QByteArray> QGbkCodec::_aliases () `[static]`

### int QGbkCodec::_mibEnum () `[static]`

### QByteArray QGbkCodec::_name () `[static]`

### QList<QByteArray> QGbkCodec::aliases () const `[virtual]`

### QByteArray QGbkCodec::convertFromUnicode ( const QChar * , int , ConverterState * ) const `[virtual]`

### QString QGbkCodec::convertToUnicode ( const char * , int , ConverterState * ) const `[virtual]`

### int QGbkCodec::mibEnum () const `[virtual]`

### QByteArray QGbkCodec::name () const `[virtual]`